Package com.smartgwt.client.ai

# Class UISummarySettings

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.UISummarySettings

All Implemented Interfaces:
  `HasHandlers`

public class UISummarySettings extends DataClass
Settings that control how a widget UI Summary is built.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UISummarySettings()`
  `UISummarySettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Canvas`
  `getFocusComponent()`
  Canvas to target for enhanced details in the UI Summary.
  `static UISummarySettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `UISummarySettings`
  `setFocusComponent(Canvas focusComponent)`
  Canvas to target for enhanced details in the UI Summary.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UISummarySettings

    public UISummarySettings()

  - ### UISummarySettings

    public UISummarySettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static UISummarySettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setFocusComponent

    public UISummarySettings setFocusComponent(Canvas focusComponent)
    Canvas to target for enhanced details in the UI Summary.

    Note : This is an advanced setting

    Parameters:
      `focusComponent` - New focusComponent value. Default value is null
    Returns:
      `UISummarySettings` instance, for chaining setter calls

  - ### getFocusComponent

    public Canvas getFocusComponent()
    Canvas to target for enhanced details in the UI Summary.
    Returns:
      Current focusComponent value. Default value is null